/*
 * 
 */
package com.leanwo.activiti.dto.base;

import java.util.List;


/**
 * 工作流任务信息集合.
 *
 * @author YangZhiJie
 */
public class HistoricProcessInstanceInfos {
	/** 工作流任务信息. */
	private List<HistoricProcessInstanceInfo> historicProcessInstanceInfos;
	
	/** 显示范围. */
	private Range range;
	
	/** 任务总数量. */
	private long totalCount;


	/**
	 * Gets the 工作流任务信息.
	 *
	 * @return the 工作流任务信息
	 */
	public List<HistoricProcessInstanceInfo> getHistoricProcessInstanceInfos() {
		return historicProcessInstanceInfos;
	}

	/**
	 * Sets the 工作流任务信息.
	 *
	 * @param historicProcessInstanceInfos the new 工作流任务信息
	 */
	public void setHistoricProcessInstanceInfos(List<HistoricProcessInstanceInfo> historicProcessInstanceInfos) {
		this.historicProcessInstanceInfos = historicProcessInstanceInfos;
	}

	/**
	 * Gets the 显示范围.
	 *
	 * @return the 显示范围
	 */
	public Range getRange() {
		return range;
	}

	/**
	 * Sets the 显示范围.
	 *
	 * @param range the new 显示范围
	 */
	public void setRange(Range range) {
		this.range = range;
	}

	/**
	 * Gets the 任务总数量.
	 *
	 * @return the 任务总数量
	 */
	public long getTotalCount() {
		return totalCount;
	}

	/**
	 * Sets the 任务总数量.
	 *
	 * @param totalCount the new 任务总数量
	 */
	public void setTotalCount(long totalCount) {
		this.totalCount = totalCount;
	}
	
	
}
